Summary: A wysiwyg mathematical text editor
Name: TeXmacs
Version: 1.0.4.3
Release: 1mdk
Source0: ftp://ftp.texmacs.org/pub/TeXmacs/targz/%{name}-%{version}-src.tar.bz2
Url: http://www.texmacs.org
License: GPL
Group: Editors
Requires: tetex guile
Obsoletes: TeXmacs-fonts
Provides: TeXmacs-fonts
BuildRequires: XFree86-devel libguile-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source10:%{name}.16.png.bz2
Source11:%{name}.32.png.bz2
Source12:%{name}.48.png.bz2

%description
GNU TeXmacs is a free scientific text editor, which was both inspired by 
TeX and GNU Emacs. The editor allows you to write structured documents via 
a wysiwyg (what-you-see-is-what-you-get) and user friendly interface. New 
styles may be created by the user. The program implements high-quality 
typesetting algorithms and TeX fonts, which help you to produce professionally 
looking documents.

The high typesetting quality still goes through for automatically generated 
formulas, which makes TeXmacs suitable as an interface for computer algebra 
systems. TeXmacs also supports the Guile/Scheme extension language, so that 
you may customize the interface and write your own extensions to the editor.

TeXmacs currently runs on PC's and PPC's under Gnu/linux (a >200MHz processor 
and >32Mb of memory are recommended) and on sun computers. Converters exist 
for TeX/LaTeX and they are under development for Html/Mathml/Xml. In the 
future, TeXmacs is planned to evoluate towards a complete scientific office 
suite, with spreadsheet capacities, a technical drawing editor and a 
presentation mode.

%prep

%setup -q -n %{name}-%{version}-src

%build

%configure --disable-optimize

%make TEXMACS

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
export GUILE_DATA_PATH=`guile-config info pkgdatadir`
export GUILE_LOAD_PATH=`find $GUILE_DATA_PATH -type d | grep ice-9`
#cp -r -f $GUILE_LOAD_PATH $RPM_BUILD_ROOT%{_datadir}/TeXmacs-%{version}/progs
#chmod 644 $RPM_BUILD_ROOT%{_datadir}/TeXmacs-%{version}/progs/ice-9/*
#chmod 755 $RPM_BUILD_ROOT%{_datadir}/TeXmacs-%{version}/progs/ice-9

# icons
install -d $RPM_BUILD_ROOT%{_miconsdir}
install -d $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="texmacs" \
needs="x11" \
icon="%{name}.png" \
section="Office/Wordprocessors" \
title="TeXmacs editor" \
longtitle="A WYSIWYG scientific text editor"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/TeXmacs.h
%{_mandir}/*/*
%{_libexecdir}/TeXmacs
%{_datadir}/TeXmacs
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Wed Oct 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4.3-1mdk
- 1.0.4.3

* Wed Sep 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4.2-1mdk
- 1.0.4.2

* Fri Aug 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4.1-2mdk
- fix typo in menu entry

* Wed Aug 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4.1-1mdk
- 1.0.4.1

* Wed Jul 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4

* Mon Jul 19 2004 Michael Scherer <misc@mandrake.org> 1.0.3.11-1mdk
- New release 1.0.3.11
- rpmbuildupdate aware
- some spec cleaning

* Mon May 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3.9-1mdk
- 1.0.3.9

* Fri May 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3.8-1mdk
- 1.0.3.8

* Mon Feb 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3.3-1mdk
- 1.0.3.3

* Wed Feb 11 2004 David Baudens <baudens@mandrakesoft.com> 1.0.3.2-3mdk
- Fix menu

* Tue Jan 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3.2-2mdk
- fix menu section

* Tue Jan 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3.2-1mdk
- 1.0.3.2

* Mon Jan 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3.1-1mdk
- 1.0.3.1

* Wed Jan 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Mon Dec 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2.11-1mdk
- 1.0.2.11

* Wed Dec 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2.10-1mdk
- 1.0.2.10

* Tue Nov 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2.8-1mdk
- 1.0.2.8

* Mon Nov 3 2003 Austin Acton <aacton@yorku.ca> 1.0.2.6-1mdk
- 1.0.2.6

* Mon Oct 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2.4-1mdk
- 1.0.2.4

* Mon Oct 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2.3-1mdk
- 1.0.2.3

* Wed Sep 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.24-1mdk
- 1.0.1.24

* Sun Aug 24 2003 Michael Scherer <scherer.michael@free.fr> 1.0.1.21-2mdk
- BuildRequires ( libxfree86-devel ) 

* Tue Aug 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.21-1mdk
- 1.0.1.21

* Thu Jun 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.15-1mdk
- 1.0.1.15

* Wed May 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.13-1mdk
- 1.0.1.13

* Fri May 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.12-2mdk
- 1.0.1.12

* Thu Apr 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.10-1mdk
- 1.0.1.10

* Thu Apr 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.8-1mdk
- 1.0.1.8
- requires libguile12-devel

* Tue Feb 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.6-1mdk
- 1.0.1.6

* Thu Feb 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.5-1mdk
- 1.0.1.5

* Sun Feb 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.4-1mdk
- 1.0.1.4

* Fri Feb 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.3-1mdk
- 1.0.1.3

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.2-1mdk
- 1.0.1.2

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.1-1mdk
- 1.0.1.1

* Thu Dec 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Mon Dec 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.25-1mdk
- 1.0.0.25

* Fri Dec 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.24-1mdk
- 1.0.0.24

* Wed Dec  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0.23-2mdk
- rebuild with new guile

* Thu Nov 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.23-1mdk
- 1.0.0.23-1mdk

* Tue Nov 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.22-1mdk
- 1.0.0.22

* Wed Nov 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.21-1mdk
- 1.0.0.21

* Wed Oct 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.20-1mdk
- 1.0.0.20

* Tue Oct 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.19-1mdk
- 1.0.0.19


* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.18-1mdk
- 1.0.0.18

* Sat Sep 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.17-1mdk
- 1.0.0.17

* Mon Aug 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.15-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- update

* Tue Jul 30 2002 Austin Acton <aacton@yorku.ca> 1.0.0.11-1mdk
- release 1.0.0.11
- rename build target (dynamic link build is now default in makefile)
- revert to default RPM compile flags

* Mon Jul 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.9-1mdk
- 1.0.0.9

* Thu Jul 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.8-1mdk
- 1.0.0.8

* Fri Apr 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0.3-1mdk
- new release
- replaces "english" language by "british" and "american"

* Tue Apr 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0.2-1mdk
- new release

* Mon Apr 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.1-1mdk
- 1.0.0.1

* Thu Mar 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- 1.0

* Tue Mar 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.14-1mdk
- 0.3.5.14

* Fri Feb 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.13-1mdk
- 0.3.5.13

* Tue Feb 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.12-2mdk
- use TeXmacs authors compilation options

* Mon Feb 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.12-1mdk
- 0.3.5.12
- make MIXED_TEXMACS

* Sat Jan 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.11-2mdk
- updated desc.
- convert xpms to pngs

* Tue Dec 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.11-1mdk
- 0.3.5.11

* Fri Dec 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.10-1mdk
- 0.3.5.10

* Wed Nov 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.8-1mdk
- 0.3.5.8

* Fri Nov 23 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.7-1mdk
- 0.3.5.7

* Thu Nov 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.5-1mdk
- 0.3.5.5

* Mon Oct 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.3-1mdk
- 0.3.5.3

* Thu Oct 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.2-2mdk
- fixes from Thomas Leclerc <leclerc@linux-mandrake.com> :
	- remove BuildRequires: TeXmacs-fonts
	- Obsoletes: TeXmacs-fonts.
	Fonts are indeed generated at 1st start, and the font files of the package
	interfere with LaTeX if fonts were not previously built, or conflict with
	old files if they were.

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.2-1mdk
- 0.3.5.2

* Fri Oct 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.1-1mdk
- 0.3.5.1

* Thu Oct 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.0-1mdk
- added by Thomas Leclerc <leclerc@linux-mandrake.com> :
	- First Mandrake build
	- specfile adapted from official one
